﻿------------------------------------------------------------------------------------------------
-- This script should update dbo.EVENT_RULE_DATA records for IPSD Event "SUBMIT" status email
--
-- Objective: To update dbo.EVENT_RULE_DATA records where EVENT_RULE_ID IN (226,227,234,255,256,267)
-- and EVENT_DATA_CD IS NOT "NI"
------------------------------------------------------------------------------------------------

-- Try to execute this SELECT statement and it should return records with EVENTACT_CD, EMAILCC_ADR with NULL values and EVENT_DATA_CD with NULL or MDSES value
SELECT * FROM EVENT_RULE_DATA WHERE EVENT_DATA_CD <> 'NI' AND EVENT_RULE_ID IN (SELECT EVENT_RULE_ID FROM LK_EVENT_RULE WHERE EVENT_TYPE_ID = 5 AND WRKFLW_STUS_ID = 2)

-- If the above statement is true, get the ID's and filter this UPDATE statement accordingly
--UPDATE EVENT_RULE_DATA SET EVENT_DATA_CD = 'MDSES', EMAILACT_CD = 1, EMAIL_SUBJ = 'SUBMITTED ESCALATION : ', EMAILCC_ADR = '' WHERE ID IN (2609,2612,2613,2624,2633,2634)

-- Else, INSERT a new records with EVENT_RULE_ID IN (226,227,234,255,256,267), EVENT_DATA_CD = 'MDSES', EMAILACT_CD = 1, EMAIL_SUBJ = 'SUBMITTED ESCALATION : ', EMAILCC_ADR = '',
-- REC_STUS_ID = 1, CREAT_DT = GETDATE(). Sample script:
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (226, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (227, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (234, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (255, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (256, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())
--INSERT INTO EVENT_RULE_DATA (EVENT_RULE_ID, EVENT_DATA_CD, EMAILACT_CD, EMAIL_SUBJ, EMAILCC_ADR, REC_STUS_ID, CREAT_DT) VALUES (267, 'MDSES', 1, 'SUBMITTED ESCALATION : ', '', 1, GETDATE())

-- For RESUBMIT, get the ID's from this SELECT statement and update the EMAIL_SUBJ to 'RESUBMITTED ESCALATION '
SELECT * FROM EVENT_RULE_DATA WHERE EVENT_DATA_CD <> 'NI' AND EVENT_RULE_ID IN (SELECT EVENT_RULE_ID FROM LK_EVENT_RULE WHERE EVENT_TYPE_ID = 5 AND WRKFLW_STUS_ID = 2 AND STRT_EVENT_STUS_ID = 2 AND END_EVENT_STUS_ID = 2)
--UPDATE EVENT_RULE_DATA SET EMAIL_SUBJ = 'RESUBMITTED ESCALATION : ' WHERE ID IN (2633,2612)